[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# dsWriteModes

Field write modes

## Declaration

Source position: db.pas line 2099

`const dsWriteModes = [dsEdit, dsInsert, dsSetKey, dsCalcFields, dsFilter, dsNewValue, dsInternalCalc];`

## Description

dsWriteModes contains the various values of TDataset.State for which data can be written to the dataset buffer.

## See also

TDatasetState |  | Current state of the dataset
TDataset.State |  | Current operational state of the dataset

Documentation generated on: Feb 26 2014